# Interface CachedColumnFactory

All Known Implementing Classes:
  `ByteStoreColumnFactory, MemoryColumnFactory, SmartColumnFactory`

public interface CachedColumnFactory
Defines a capability for storing vectors of typed data.

Since:
  4 Feb 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`CachedColumn`
`createColumn(StorageType type, long nrow)`
Creates a data storage object capable of storing a vector of a given type.

## Method Details

### createColumn

CachedColumn createColumn(StorageType type, long nrow)
Creates a data storage object capable of storing a vector of a given type. Both fixed and unknown element counts are supported.

Parameters:
  `type` - data type of elements to be stored
  `nrow` - maximum number of elements to be stored; if a value <0 is supplied, an indeterminate number is permitted
Returns:
  storage object